#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "tcpip.h"
#include "leds.h"

/* Copyright (C) 1992,2000 Bisqwit (http://iki.fi/bisqwit/) *
 * No warranty. License: see file COPYING.                  */

static const char LEDbuf[]="1323";
static void SendLeds(void)
{
	static int l1,l2;
	int led1, led2;
	int Sock1=-1;
	int Sock2=-1;
	
	do {
		led1 = rand()%4;
		led2 = rand()%4;
	} while(l1==led1 || l2==led2 || !(led1||led2));
	l1=led1, l2=led2;
	
	Sock1 = ConnectOut("10.0.0.6", 9875, 100000);
/*	Sock2 = ConnectOut("10.0.0.7", 9875, 100000); */

	if(Sock1 >= 0)write(Sock1, &LEDbuf[led1-1], 1), close(Sock1);
	if(Sock2 >= 0)write(Sock2, &LEDbuf[led2-1], 1), close(Sock2);
}

void UpdLeds(void)
{
	static char indx=0;
	if(!(indx&3))SendLeds();
	printf("\33[%cq", LEDbuf[indx++&3]);
	fflush(stdout);
}
